Subject: Message for Eduardo Egues

From: Edward M Greshko <[email-masked]>
Date: Tue, 23 Sep 1997 08:25:07 +0800 (GMT)

Attached is a response to Eduardo's questions.  Seems he can't be emailed.

-- 
Edward M. Greshko                  Technical Manager, Electronic Commerce
                                   Control Data Asia/Pacific Region
Voice: +886-2-715-2222 x287        6/F, 131 Nanking East Road, Section 3
FAX  : +886-2-712-9197             Taipei, Taiwan R.O.C
PGPKey-ID:CA3AFA5D  Fingerprint: 2DE6 5527 144E D1BC  3C55 9FA5 518E 52EE

---------- Forwarded message ----------
Date: Mon, 22 Sep 1997 19:26:39 -0400 (EDT)
From: Mail Delivery Subsystem <[email-masked]>
To: [email-masked], [email-masked]
Subject: Returned mail: Local configuration error

The original message was received at Mon, 22 Sep 1997 19:26:35 -0400 (EDT)
from daemon@localhost

   ----- The following addresses had permanent fatal errors -----
<[email-masked]>

   ----- Transcript of session follows -----
553 mail.infocom.etecsa.cu. config error: mail loops back to me (MX problem?)
554 <[email-masked]>... Local configuration error

Subject: Re: getting /etc/passwd
From: Edward M Greshko <[email-masked]>
To: Eduardo Egues <[email-masked]>
Date: Tue, 23 Sep 1997 07:25:00 +0800 (GMT)

On Mon, 22 Sep 1997, Eduardo Egues wrote:

>  I'm trying configure Pine 3.96 with some security requires suchs as no
>  shells pipes commands and i got /etc/passwd typing $HOME/work//etc/passwd
>  although use-current-directory was set (without work directory fixed);
>  however if work-directory is set to "$HOME/work" i can't write some in
>  anywhere including dead.letter, sent-saved, etc.

There are 2 extra files used by pine for configuration information.  I'm
sorry but I don't have the source code available at the moment to tell you
exactly....but you can consult the source to find their names.  I beleive
the names are /etc/pine.conf and /etc/pine.fixed.  The pine.conf is a
"global" configuration file.  When pine is started it will set a users'
setting (which are not set in the personal .pinerc file) to vaules in the
pine.conf.  Then there is the /etc/pine.fixed file.  This will
unconditionally set values in a users' configuration.  So, if you have the
parameter for the "pipe" command in that file and it is "disabled" then
users will not be able to enable the pipe command.

>  I need:
>  
>  -users can sent mails without write problems
>  -users write only on work directory
>  -don't export files outside of root work directory and tree
>  
>  Is this posible? How.

For these, you'll need to have users default shell to be a restricted
shell.  You'll need to consult your system's man pages.  One restricted
shell is "rsh".  But when you check the man page...be careful.  There are
2 rsh commands.  One is "restricted shell" while the other is "remote
shell"

Hope this gets you started.

-- 
Edward M. Greshko                  Technical Manager, Electronic Commerce
                                   Control Data Asia/Pacific Region
Voice: +886-2-715-2222 x287        6/F, 131 Nanking East Road, Section 3
FAX  : +886-2-712-9197             Taipei, Taiwan R.O.C
PGPKey-ID:CA3AFA5D  Fingerprint: 2DE6 5527 144E D1BC  3C55 9FA5 518E 52EE